# $Id: python-adns.spec 2024 2004-08-16 20:57:23Z dries $
# Authority: dag
# Upstream: jose nazario <jose$monkey,org>

Summary: Basic IDS/IPS tool to help you investigate and manage your network
Name: flowgrep
Version: 0.9
Release: 4%{?dist}
License: BSD
Group: Applications/Internet
URL: http://www.monkey.org/~jose/software/flowgrep/

# Packager: Dag Wieers <dag@wieers.com>
# Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://www.monkey.org/~jose/software/flowgrep/flowgrep-%{version}.tar.gz
Patch1: flowgrep-0.9-python2.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch
BuildRequires: python2 >= 2.6, libnids-devel
# BuildRequires: python >= 2.2, python-nids
BuildRequires: net-tools
Requires: python2 >= 2.6, libnids


%description
flowgrep is a basic IDS/IPS tool written in python as a way to help you
investigate and manage your network. It works by sniffing traffic,
reassembling TCP streams, and IP and UDP fragments into single packets,
and allowing you to "grep" through their payloads using regular expressions.
The quality of the regular expression engine is similar to Perl's. Think of
it as a marriage of tcpflow, tcpkill, and ngrep.


%prep
%setup -q
%patch1 -p1 -b .python2


%build
python2 setup.py build


%install
%{__rm} -rf %{buildroot}
#python2 setup.py install \
#	--prefix="%{_prefix}" \
#	--root="%{buildroot}"
%{__install} -D -m0755 flowgrep.py %{buildroot}%{_sbindir}/flowgrep
%{__install} -D -m0644 flowgrep.8 %{buildroot}%{_mandir}/man8/flowgrep.8


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-, root, root, 0755)
%doc README
%doc %{_mandir}/man8/flowgrep.8*
%{_sbindir}/flowgrep


%changelog
* Sun May  5 2019 J. Randall Owens <jrowens@ghiapet.net> - 0.9-4
- adapt for python2 explicitly

* Thu Nov 24 2016 J. Randall Owens <jrowens@ghiapet.net> - 0.9-3
- clean up per rpmlint
- license correctly as BSD

* Thu Dec 31 2009 J. Randall Owens <jrowens@ghiapet.net> - 0.9-1
- update to release 0.9
- rebuild for Fedora 12

* Tue Jul 14 2009 J. Randall Owens <jrowens@ghiapet.net> - 0.8-3
- Rebuild for Fedora 11

* Fri Feb 11 2005 Dag Wieers <dag@wieers.com> - 0.8-1
- Initial package. (using DAR)
